QGIS Application - Bug report #10179
categorized style broken
2014-05-05 12:40 AM - Alessandro Ciali

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 18633
Description

With the latest master (commit:70225a3) categorized style can't be used. QGIS let you choose a field(s) for feature symbolization, but,
after pressing apply button on layer properties field, the chosen field or expression selected on "Column" box disappears and no polygon
is drawn in canvas. projects saved with older version for layers rendered as categorized work fine until you open properties layer.

To reproduce this bug add a vector layer to QGIS, choose categorized layer rendering, choose a layer for rendering and press apply or
ok. No feature is represented on view.

History

#1 - 2014-05-05 04:35 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Operating System deleted (window)

- OS version deleted (win 7 64bit)

- Affected QGIS version changed from 2.2.0 to master
There is a known issue with styling in master

#10163

but I'm not sure about the one you reported.

With the "categorized" rendering is is always necessary to click on "classify" to create the synmbology classes based on the chosen column. This differ from

the "graduated" one that creates the classes on th fly, after choosing the column and/or the number of classes.

Does make sense?

#2 - 2014-05-05 11:40 AM - Anita Graser

| can confirm this issue. It has nothing to do with whether it is necessary to press classify or not. Categorized styles are just broken. Everything looks fine in
layer properties until | hit apply. Then the classification column is deleted from the dropdown list/combobox and the features are not rendered in the styles
of their category.

#3 - 2014-05-05 03:04 PM - Alessandro Ciali

right, this is wat | meant!
#4 - 2014-05-07 11:47 AM - Angus Carr
- File categorizationBug.png added
- File categorizationBug2.png added

#10163 is also consistent with this report. The dialog shown in that report shows an empty "Column" combobox in the dialog, but has classified symbology

in the box below. In both discussions, it seems that the user behaviour was correct, to click classify first then apply or ok.

| observe the same program behaviour, even though the same steps work fine in Valmiera (2.2.0).

For that matter, | can apply labels, but when I hit ok, they disappear. | suspect they are related behaviours.

#5 - 2014-05-08 08:36 AM - Simon Dedman

| just posted this to gis.stackexchange and ndawson told me about the bug. I've already created an imgur album detailing the bug which may or may not be

of interest to some. | figured i've already done it so | might as well share it!

Image sequence: 1: version. 2: appearance when opened fresh. Looks fine. 3: details of that layer: 25 equal counts on the first data layer. 4: changed to

pretty breaks and hit apply - layer disappears in background, data field now blank. 5: but no blank data field present.

Cheers.

#6 - 2014-05-08 10:03 AM - Anita Graser

- Status changed from Feedback to Closed

- Resolution set to duplicate

#7 - 2014-05-08 10:04 AM - Anita Graser

| think it's the same issue as described in #10163

Files
categorizationBug.png 10.6 KB 2014-05-07 Angus Carr
categorizationBug2.png 17.8 KB 2014-05-07 Angus Carr
https://imgur.com/a/N0f5J

